> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make batch calls for a voice v1 deployment



## OpenAPI

````yaml /openapi-specs/brainbase-openapi.documented.json post /api/workers/{workerId}/deployments/voicev1/{deploymentId}/make-batch-calls
openapi: 3.0.0
info:
  title: Brainbase REST API
  version: 1.0.3
  description: API documentation for Brainbase REST API
servers:
  - url: https://brainbase-monorepo-api.onrender.com
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Team
    description: Endpoints related to team functionalities
  - name: Integrations
    description: Endpoints for integrations
  - name: Assets
    description: Endpoints for asset management
  - name: Workers
    description: Endpoints for worker operations
  - name: Flows
    description: Endpoints for flow management
  - name: Voice Deployments
    description: Endpoints for voice deployments
  - name: Voice V1 Deployments
    description: Endpoints for voice v1 deployments
  - name: Voice Deployment Logs
    description: Endpoints for voice deployment logs
  - name: Voice Deployment Outbound Data
    description: Endpoints for voice deployment outbound data
  - name: Chat Deployments
    description: Endpoints for chat deployments
  - name: Chat Deployment Logs
    description: Endpoints for chat deployment logs
  - name: Tags
    description: Endpoints for tag management and worker tag assignment
  - name: Echo
    description: Endpoints for Echo test suites, agents, and scorecards
  - name: Flow Versions
    description: Endpoints for flow version control
  - name: Deployment History
    description: Endpoints for deployment change history
  - name: Deployment Parameters
    description: Endpoints for deployment parameters
  - name: Log Exports
    description: Endpoints for async log export to CSV/JSON
  - name: Logs
    description: >-
      Universal log lookup — fetch any deployment log by ID without needing
      worker or deployment context
  - name: Deployments
    description: >-
      Universal deployment lookup — fetch any deployment by ID without needing
      worker context
paths:
  /api/workers/{workerId}/deployments/voicev1/{deploymentId}/make-batch-calls:
    post:
      tags:
        - Voice V1 Deployments
      summary: Make batch calls for a voice v1 deployment
      parameters:
        - name: workerId
          in: path
          required: true
          schema:
            type: string
        - name: deploymentId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MakeBatchCallsRequest'
      responses:
        '200':
          description: Batch calls started successfully
        '401':
          description: Unauthorized
        '404':
          description: Deployment not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import BrainbaseLabs from 'brainbase-labs';


            const client = new BrainbaseLabs({
              apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
            });


            await
            client.workers.deployments.voicev1.makeBatchCalls('deploymentId', {
              workerId: 'workerId',
              data: [{ id: 'id', phoneNumber: 'phoneNumber' }],
            });
        - lang: Python
          source: |-
            import os
            from brainbase_labs import BrainbaseLabs

            client = BrainbaseLabs(
                api_key=os.environ.get("BRAINBASE_LABS_API_KEY"),  # This is the default and can be omitted
            )
            client.workers.deployments.voicev1.make_batch_calls(
                deployment_id="deploymentId",
                worker_id="workerId",
                data=[{
                    "id": "id",
                    "phone_number": "phoneNumber",
                }],
            )
components:
  schemas:
    MakeBatchCallsRequest:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                nullable: false
                description: Unique identifier for the data row
              phoneNumber:
                type: string
                nullable: false
                description: Phone number to call in E.164 format (e.g., +12345678901)
              status:
                type: string
                enum:
                  - PENDING
                  - RUNNING
                  - COMPLETED
                  - FAILED
                description: Status of the call
            required:
              - id
              - phoneNumber
          nullable: false
          description: >-
            Array of data objects to process in batches, each requiring at least
            an id and phoneNumber
        condition:
          type: string
          description: >-
            Optional condition to evaluate for processing data. Supports
            template variables like {{variableName}}
        extractions:
          type: object
          additionalProperties:
            type: object
            properties:
              type:
                type: string
                enum:
                  - string
                  - number
                  - boolean
                  - object
                  - array
                nullable: false
                description: The data type of the extraction
              description:
                type: string
                nullable: false
                description: Description of what this extraction represents
              required:
                type: boolean
                description: Whether this extraction is required
              example:
                type: string
                description: Example value for this extraction
            required:
              - type
              - description
          description: >-
            Definitions of data to extract during calls, with each key
            representing a field to extract
        batch_size:
          type: number
          description: Number of items to process in each batch (default 10)
        batch_interval_minutes:
          type: number
          description: Time interval between batches in minutes (default 5)
        wsUrl:
          type: string
          description: Webhook URL to receive events when calls complete or extract data
        additional_data:
          type: object
          additionalProperties:
            type: string
          description: >-
            Additional data to pass with each request that will be available
            during the call
      required:
        - data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````